import React, { useEffect } from "react";
import styled from "styled-components";
import ms from "pretty-ms";
import useCountdown from "../../../hooks/useCountdown";
import { saveTimerToLocalStorage } from "../../../domain/localStorageMethods";

const TimerSpan = styled.span`
  padding: 1px;
  display: inline;
`

const TimedOut = styled(TimerSpan)`
  color: red;
`

export default ({ seconds, onTimeout }) => {
  const [remaining] = useCountdown(seconds, () => onTimeout());
  useEffect(() => {
    if (remaining > 0) {
      saveTimerToLocalStorage(remaining);
    }
  }, [remaining]);
  
  if (remaining > 0) {
    return <TimerSpan>Time: {ms(remaining * 1000)}</TimerSpan>;
  }

  return <TimedOut>Time's up!</TimedOut>;
}
