import { useRef, useEffect } from "react";
/* global google */

export default (panoDivRef, position) => {
  const panoRef = useRef(null);
  const { lat, lng } = position;
  useEffect(() => {
    if (panoRef.current) {
      console.log("Attempted to create a new Pano");
      return;
    }

    panoRef.current = new google.maps.StreetViewPanorama(panoDivRef.current, {
      position: { lat, lng },
      addressControl: false,
      showRoadLabels: false,
      clickToGo: true,
      visible: true,
    });
  }, [panoDivRef, lat, lng]);

  return panoRef;
}
