import React from "react";
import styled from "styled-components";
import { dispatch } from "../../../domain/gameStore";
import useRoundInfo from "../../../hooks/useRoundInfo";
import DelayedButton from "../../util/DelayedButton";
import Button from "../../util/Button";


const FinishedButton = styled(Button)`
  margin-top: 5px;
  padding: 1em;
`

const NextButton = styled(DelayedButton)`
  margin-top: 5px;
  padding: 1em;
`

export default () => {
  // whether or not the game is done
  const [gameFinished] = useRoundInfo();

  return gameFinished 
    ? <FinishedButton onClick={dispatch.startRound}>
        View Summary
      </FinishedButton>
    : <NextButton onEnd={dispatch.startRound} countDownFormatter={rem => `Click to cancel, ${rem}s...`}>
        Next Round
      </NextButton>
}