import React from "react";
import styled, { keyframes } from "styled-components";

const Wrapper = styled.div`
  display: flex;
  width: 100%;
  height: 100%;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
`
const frames = keyframes`
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
`
const SpinnerBox = styled.div`
  display: inline-block;
  position: relative;
  width: 128px;
  height: 128px;
`
const Spinner0 = styled.div`
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 107px;
  height: 107px;
  margin: 10px;
  border: 10px solid #ccc;
  border-radius: 50%;
  animation: ${frames} 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #ccc transparent transparent transparent;
`
const Spinner1 = styled(Spinner0)`animation-delay: -0.45s;`
const Spinner2 = styled(Spinner0)`animation-delay: -0.3s;`
const Spinner3 = styled(Spinner0)`animation-delay: -0.15s;`

export default () => (
  <Wrapper>
    <SpinnerBox>
      <Spinner0/>
      <Spinner1/>
      <Spinner2/>
      <Spinner3/>
    </SpinnerBox>
  </Wrapper>
)
