
const localStorageGameId = "terrassumptions:gameId";
const localStoragePlayerName = "terrassumptions:playerName";
const localStoragePlayerId = "terrassumptions:playerId";
const localStorageTimer = "terrassumptions:timer";
const localStoragePointLat = "terrassumptions:point:lat";
const localStoragePointLng = "terrassumptions:point:lng";

export const saveGameInfoToLocalStorage = (gameId, playerName, playerId) => {
  localStorage.setItem(localStorageGameId, gameId);
  localStorage.setItem(localStoragePlayerName, playerName);
  localStorage.setItem(localStoragePlayerId, playerId);
}

export const clearGameInfoFromLocalStorage = () => {
  localStorage.removeItem(localStorageGameId);
  localStorage.removeItem(localStoragePlayerName);
  localStorage.removeItem(localStoragePlayerId);
}

export const useGameInfoFromLocalStorage = () => {
  const gameId = localStorage.getItem(localStorageGameId);
  const playerName = localStorage.getItem(localStoragePlayerName);
  const playerId = localStorage.getItem(localStoragePlayerId);
  return { gameId, playerName, playerId };
}

export const saveTimerToLocalStorage = (timer) => {
  localStorage.setItem(localStorageTimer, timer.toString());
}

export const clearTimerFromLocalStorage = () => {
  localStorage.removeItem(localStorageTimer);
}

export const useTimerFromLocalStorage = () => {
  const timer = localStorage.getItem(localStorageTimer);
  return timer === null ? null : Number.parseInt(timer);
}

export const savePointToLocalStorage = (lat, lng) => {
  localStorage.setItem(localStoragePointLat, lat.toString());
  localStorage.setItem(localStoragePointLng, lng.toString());
}

export const clearPointFromLocalStorage = () => {
  localStorage.removeItem(localStoragePointLat);
  localStorage.removeItem(localStoragePointLng);
}

export const usePointFromLocalStorage = () => {
  const lat = localStorage.getItem(localStoragePointLat);
  const lng = localStorage.getItem(localStoragePointLng);
  return lat === null || lng === null ? null : { lat: Number.parseFloat(lat), lng: Number.parseFloat(lng) };
}
